---
title: Как настроить плановую перезагрузку сервера Windows
slug: администрирование/как-настроить-плановую-перезагрузку-сервера-windows
---

Инструкция по настройке автоматической перезагрузки для круглосуточных серверов на базе Windows.

---

## Открытие Планировщика заданий

- Нажать `Win+R`, ввести `taskschd.msc`, нажать `Enter`.
- Или открыть через меню: **Панель управления** → **Администрирование** → **Планировщик заданий**.

---

## Создание новой задачи

1. Нажмите **Создать задачу**.
2. На вкладке **Общие**:
   - Укажите имя, например `Перезагрузка сервера`.
   - Поставьте галочку **Выполнять с наивысшими правами**.

---

## Настройка триггера (Когда выполнять)

1. Перейдите на вкладку **Триггеры** → **Создать**.
2. Выберите **По расписанию**.
3. Установите интервал, например:
   - **Раз в неделю** — в ночь с воскресенья на понедельник в 03:00.

---

## Настройка действия (Что выполнять)

1. Перейдите на вкладку **Действия** → **Создать**.
2. Установите:
   - **Действие**: Запуск программы.
   - **Программа или сценарий**: `shutdown`
   - **Добавить аргументы**:

```bash
/r /f /t 60 /c "Плановая перезагрузка сервера"
```

**Пояснение аргументов:**
- `/r` — перезагрузка;
- `/f` — принудительное закрытие приложений;
- `/t 60` — задержка 60 секунд перед перезагрузкой;
- `/c` — комментарий.

---

## Условия и параметры

- На вкладке **Условия** можно снять галочку "Запускать только при питании от сети", если сервер подключён к ИБП или стационарной сети.
- На вкладке **Параметры** желательно включить опцию "Повторить задачу при неудаче".

---

## Итог

После создания задача будет автоматически перезагружать сервер по заданному расписанию, без необходимости ручного вмешательства.

---

_Документ подготовлен для добавления в базу знаний._

