---
title: Установка и настройка Hyper-V
slug: администрирование/установка-и-настройка-hyper-v
---

## 1. Проверка требований к оборудованию

Откройте PowerShell от имени администратора и выполните команду:

```powershell
systeminfo
```

В выводе найдите раздел **"Требования Hyper-V"**. Все параметры должны быть "Да":
- Расширения режима мониторинга виртуальной машины
- Виртуализация включена во встроенном ПО
- Преобразование адресов второго уровня
- Доступно предотвращение выполнения данных

Если нет — включите виртуализацию в BIOS/UEFI:
- Для Intel: **Intel VT-x** / **Intel Virtualization Technology**
- Для AMD: **AMD-V**

---

## 2. Включение компонентов Hyper-V

Откройте **Панель управления → Программы → Включение или отключение компонентов Windows**.  
Отметьте галочками:

- **Hyper-V Platform**
- **Hyper-V Management Tools**

Нажмите OK и дождитесь установки компонентов.

---

## 3. Проверка и активация гипервизора

Откройте командную строку от имени администратора и проверьте настройки загрузки:

```cmd
bcdedit /enum
```

Найдите параметр:

```
hypervisorlaunchtype
```

Если значение `Off`, включите автозапуск гипервизора:

```cmd
bcdedit /set hypervisorlaunchtype auto
```

После этого **перезагрузите компьютер**.

---

## 4. Проверка службы Hyper-V

Откройте PowerShell от имени администратора и выполните:

```powershell
Get-Service vmms
```

Если служба остановлена, запустите её:

```powershell
Start-Service vmms
```

---

## 5. Диагностика при возникновении проблем

Если Hyper-V не запускается, рекомендуется выполнить восстановление системных компонентов:

```powershell
DISM /Online /Cleanup-Image /RestoreHealth
sfc /scannow
```

Обе команды нужно запускать от имени администратора.

