---
title: Отбор контактной информации
slug: общие-бсп-стандартные-подсистемы-контактная-информация-программный-интерфейс/отбор-контактной-информации
---
# Описание
```bsl
// Конструктор параметра Отбор для функции КонтактнаяИнформация.
//
// Возвращаемое значение:
//  Структура:
//   * ТипыКонтактнойИнформации - Массив из ПеречислениеСсылка.ТипыКонтактнойИнформации - отбор по типу контактной информации.
//   * ВидыКонтактнойИнформации - Массив из СправочникСсылка.ВидыКонтактнойИнформации - отбор по видам контактной информации.
//   * Дата                     - Дата - дата с которой действует запись контактной информации, используется при хранении
//                                       истории изменения контактной информации. Если владелец хранит историю изменений,
//                                       то при несоответствии параметра дате будет вызвано исключение.
//   * КодЯзыка - Строка - код языка, на котором необходимо получить представление контактной информации.
//                         Представления контактной информации типа Адрес будет получено путем транслитерации, на остальные
//                         типы контактной информации данных параметр не влияет.
//
ОтборКИ = УправлениеКонтактнойИнформацией.ОтборКонтактнойИнформации();
```

# Пример применения
```bsl
// Возвращает таблицу, содержащую контактную информацию нескольких объектов. 

Организация = Справочники.Организации.ОрганизацияПоУмолчанию();

ОтборКИ = УправлениеКонтактнойИнформацией.ОтборКонтактнойИнформации();
ОтборКИ.ТипыКонтактнойИнформации.Добавить(Перечисления.ТипыКонтактнойИнформации.Телефон);
ОтборКИ.ТипыКонтактнойИнформации.Добавить(Перечисления.ТипыКонтактнойИнформации.АдресЭлектроннойПочты);

ТаблицаКонтактов = УправлениеКонтактнойИнформацией.КонтактнаяИнформация(Организация, ОтборКИ);
ТаблицаКонтактов.ВыбратьСтроку(); // для отладки (толстый клиент)
```