---
title: Сведения о телефоне
slug: общие-бсп-стандартные-подсистемы-контактная-информация-программный-интерфейс/сведения-о-телефоне
---

# Пример применения
```bsl
// Возвращает сведения о телефоне или факсе.
//Синтаксис
//
// Функция СведенияОТелефоне(КонтактнаяИнформация = Неопределено) Экспорт
//Параметры
//
//  КонтактнаяИнформация - Строка - телефон во внутреннем формате JSON или в XML, соответствующем XDTO-пакету контактная
//                                  информация.
//                       - Неопределено - конструктор, возвращает список незаполненных полей телефона.
//Возвращаемое значение
//
//  Структура:
//    * Представление - Строка - полное представление телефона с добавочным номером и комментарием, например, "+7 495
//                               1234567 (+12) Звонить после 18:00".
//    * КодСтраны     - Строка - код страны. Например, +7.
//    * КодГорода     - Строка - код города. Например, 495.
//    * НомерТелефона - Строка - номер телефона. Например, 1234567.
//    * Добавочный    - Строка - добавочный номер телефона. Например, +12.
//    * Комментарий   - Строка - комментарий к номеру телефона. Например, Звонить после 18:00.


ВидТелефон = Справочники.ВидыКонтактнойИнформации.ЮрАдресОрганизации;
Телефон = "+7 495 113-02-54";

ТелефонJSON = УправлениеКонтактнойИнформацией.КонтактнаяИнформацияПоПредставлению(Телефон, ВидТелефон);

СтруктураСведений = УправлениеКонтактнойИнформацией.СведенияОТелефоне(ТелефонJSON);

Текст = СтрШаблон("Код страны: %1; код города: %2", СтруктураСведений.КодСтраны, СтруктураСведений.КодГорода);
ОбщегоНазначения.СообщитьПользователю(Текст);
```