---
title: Сведения об адресе
slug: общие-бсп-стандартные-подсистемы-контактная-информация-программный-интерфейс/сведения-об-адресе
---

# Пример применения
```bsl
// Возвращает сведения об адресе в виде отдельных частей адреса и различных кодов (код региона, ОКТМО и др.).
// Для преобразования полученных полей адреса в во внутренний формат JSON следует использовать функцию ПоляАдресаВJSON.

ВидЮрАдрес = Справочники.ВидыКонтактнойИнформации.ЮрАдресОрганизации;
ЮрАдрес = "123056, г. Москва, 3-й Самотечный пер., д. 23";

АдресJSON = УправлениеКонтактнойИнформацией.КонтактнаяИнформацияПоПредставлению(ЮрАдрес, ВидЮрАдрес);

СтруктураСведений = РаботаСАдресами.СведенияОбАдресе(АдресJSON);
Текст = СтрШаблон("Номер дома: %1; индекс: %2", СтруктураСведений.Здание.Номер, СтруктураСведений.Индекс);
ОбщегоНазначения.СообщитьПользователю(Текст);
```