---
title: Добавить значение свойства
slug: общие-бсп-стандартные-подсистемы-свойства-программный-интерфейс/добавить-значение-свойства
---

# Описание

```bsl
//Добавляет доступное значение для реквизита с типом ЗначенияСвойствОбъектов
// или ЗначенияСвойствОбъектовИерархия.
//Синтаксис
//
// Функция ДобавитьЗначениеСвойства(Знач Владелец, Параметры, Иерархия = Ложь) Экспорт
//
// Параметры:
//  Владелец  - Строка - имя дополнительного реквизита.
//            - ПланВидовХарактеристикСсылка.ДополнительныеРеквизитыИСведения - дополнительный реквизит, 
//                для которого надо добавить значение.
//  Параметры - см. ПараметрыДобавленияЗначенияСвойства.
//  Иерархия  - Булево  
//Возвращаемое значение
//
//  СправочникСсылка.ЗначенияСвойствОбъектов
//  СправочникСсылка.ЗначенияСвойствОбъектовИерархия
ЗначениеСвойства = УправлениеСвойствами.ДобавитьЗначениеСвойства(ИмяСвойства, ПараметрыЗначения);
```

# Пример применения
```bsl
ПараметрыЗначения = УправлениеСвойствами.ПараметрыДобавленияЗначенияСвойства();
ПараметрыЗначения.Наименование = "AMOLED";

ИмяСвойства = "ТехнологияЭкрана_d52aa705261143e68e2e30968b1e668b";

ЗначениеСвойства = УправлениеСвойствами.ДобавитьЗначениеСвойства(ИмяСвойства, ПараметрыЗначения);

ТекстСообщения = "Для дополнительного реквизита ""ТехнологияЭкрана"" добавлено значение " + ПараметрыЗначения.Наименование;
ОбщегоНазначения.СообщитьПользователю(ТекстСообщения);
```