---
title: Добавить свойство
slug: общие-бсп-стандартные-подсистемы-свойства-программный-интерфейс/добавить-свойство
---

# Описание

```bsl
// Добавляет дополнительное свойство к переданному объекту.
// Синтаксис
//
// Процедура ДобавитьСвойство(Владелец, Параметры, ЭтоСведение = Ложь) Экспорт
// Параметры
//
//  Владелец - ОбъектМетаданных
//           - Строка - полное имя объекта метаданных или имя набора свойств.
//           - СправочникСсылка.НаборыДополнительныхРеквизитовИСведений - ссылка на набор свойств.
//  Параметры - см. ПараметрыДобавленияСвойства.
//  ЭтоСведение - Булево - если Истина, будет добавлено дополнительное сведение.
//                         Значение по умолчанию Ложь - добавляется дополнительный реквизит.
УправлениеСвойствами.ДобавитьСвойство(НаборСвойств, ПараметрыСвойства);
```

# Пример применения
```bsl
ВидНоменклатуры = Справочники.ВидыНоменклатуры.НайтиПоНаименованию("Смартфоны");
Если НЕ ВидНоменклатуры.Пустая() Тогда

	НаборСвойств = ОбщегоНазначения.ЗначениеРеквизитаОбъекта(ВидНоменклатуры, "НаборСвойств");
	
	ПараметрыСвойства = УправлениеСвойствами.ПараметрыДобавленияСвойства();
	ПараметрыСвойства.Наименование = "Технология экрана";
	ПараметрыСвойства.Тип = Новый ОписаниеТипов("СправочникСсылка.ЗначенияСвойствОбъектов");
	ПараметрыСвойства.Имя = "ТехнологияЭкрана_" + СтрЗаменить(Новый УникальныйИдентификатор, "-", "");
	ПараметрыСвойства.ИдентификаторДляФормул = "ТехнологияЭкрана";

	УправлениеСвойствами.ДобавитьСвойство(НаборСвойств, ПараметрыСвойства);
	
	ОбщегоНазначения.СообщитьПользователю("Для вида номенклатуры ""Смартфоны"" добавлено новое свойство " + ПараметрыСвойства.Наименование);	
	
Иначе
	ОбщегоНазначения.СообщитьПользователю("Вид номенклатуры ""Смартфоны"" не найден");	
КонецЕсли;
```