---
title: Проверить свойство у объекта
slug: общие-бсп-стандартные-подсистемы-свойства-программный-интерфейс/проверить-свойство-у-объекта
---
# Описание

```bsl
// Проверяет, есть ли у объекта свойство.
// Синтаксис
//
// Функция ПроверитьСвойствоУОбъекта(ВладелецСвойств, Свойство) Экспорт
//
// Параметры
//
//  ВладелецСвойств - ЛюбаяСсылка - например: СправочникСсылка.Номенклатура, ДокументСсылка.ЗаказПокупателя, ...
//  Свойство        - ПланВидовХарактеристикСсылка.ДополнительныеРеквизитыИСведения - проверяемое свойство.
// Возвращаемое значение
//
//  Булево - если Истина, свойство у владельца есть.
ЕстьСвойство = УправлениеСвойствами.ПроверитьСвойствоУОбъекта(Номенклатура, Свойство);
```

# Пример применения
```bsl
Номенклатура = Справочники.Номенклатура.НайтиПоКоду("000000001");
Если НЕ Номенклатура.Пустая() Тогда
	
	ИмяСвойстваБеспроводной = "БеспроводнойИнтерфейс_1f84313ad678448db40fa1c403f26aba";
	Свойство = ПланыВидовХарактеристик.ДополнительныеРеквизитыИСведения.НайтиПоРеквизиту("Имя", ИмяСвойстваБеспроводной);
	
	ЕстьСвойство = УправлениеСвойствами.ПроверитьСвойствоУОбъекта(Номенклатура, Свойство);
	
	ТекстСообщения = СтрШаблон("У объекта %1", ?(ЕстьСвойство, "есть свойство", "нет свойства"));
	ОбщегоНазначения.СообщитьПользователю(ТекстСообщения);	
	
Иначе
	ОбщегоНазначения.СообщитьПользователю("Номенклатура не найдена");	
КонецЕсли;
```