---
title: Свойства объекта
slug: общие-бсп-стандартные-подсистемы-свойства-программный-интерфейс/свойства-объекта
---
# Описание

```bsl
// Возвращает свойства у указанного объекта.
// Синтаксис
//
// Функция СвойстваОбъекта(ВладелецСвойств,
//					    ПолучатьДопРеквизиты = Истина,
//					    ПолучатьДопСведения = Истина) Экспорт
// Параметры
//
//  ВладелецСвойств      - ЛюбаяСсылка - например: СправочникСсылка.Номенклатура, ДокументСсылка.ЗаказПокупателя, ...
//                       - СправочникОбъект, ДокументОбъект - любой объект со свойствами.
//                       - ДанныеФормыСтруктура - коллекция по типу объекта владельца свойств.
//  ПолучатьДопРеквизиты - Булево - в результат включать дополнительные реквизиты.
//  ПолучатьДопСведения  - Булево - в результат включать дополнительные сведения.
//
// Возвращаемое значение
//
//  Массив из ПланВидовХарактеристикСсылка.ДополнительныеРеквизитыИСведения
МассивСвойств = УправлениеСвойствами.СвойстваОбъекта(Номенклатура);
```

# Пример применения
```bsl
Номенклатура = Справочники.Номенклатура.НайтиПоКоду("000000001");
Если НЕ Номенклатура.Пустая() Тогда

	МассивСвойств = УправлениеСвойствами.СвойстваОбъекта(Номенклатура);
	
	Для Каждого Свойство Из МассивСвойств Цикл
		ОбщегоНазначения.СообщитьПользователю(Свойство);
	КонецЦикла;
	
Иначе
	ОбщегоНазначения.СообщитьПользователю("Номенклатура не найдена");	
КонецЕсли;
```