---
title: Напечатать файлы
slug: общие-бсп-стандартные-подсистемы-файлы-программный-интерфейс-клиент/напечатать-файлы
---

# Описание

```bsl
// Выполняет печать файлов на принтер.
// Синтаксис
//
// Процедура НапечататьФайлы(Знач Файлы, ИдентификаторФормы = Неопределено) Экспорт
// Параметры
//
//  Файлы              - ОпределяемыйТип.ПрисоединенныйФайл
//                     - Массив из ОпределяемыйТип.ПрисоединенныйФайл
//  ИдентификаторФормы - УникальныйИдентификатор - уникальный идентификатор формы, во временное хранилище
//                       которой будет помещен файл.
РаботаСФайламиКлиент.НапечататьФайлы(МассивФайлов, УникальныйИдентификатор);

```

# Пример применения
```bsl
&НаКлиенте                                  
Процедура НапечататьФайлы(Команда)

	ФайлСсылка = ФайлКартинкиНоменклатуры(Объект.Номенклатура);
	
	Если ФайлСсылка.Пустая() Тогда
    	ОбщегоНазначенияКлиент.СообщитьПользователю("У номенклатуры не выбран файл картинки!");
		Возврат;
	КонецЕсли;
	
	МассивФайлов = ОбщегоНазначенияКлиентСервер.ЗначениеВМассиве(ФайлСсылка);
	РаботаСФайламиКлиент.НапечататьФайлы(МассивФайлов, ЭтотОбъект.УникальныйИдентификатор);
	
КонецПроцедуры
```