---
title: Открыть файл
slug: общие-бсп-стандартные-подсистемы-файлы-программный-интерфейс-клиент/открыть-файл
---

# Описание

```bsl
// Открывает файл для просмотра или редактирования.
// Если файл открывается для просмотра, тогда получает файл в рабочий каталог пользователя,
// при этом ищет файл в рабочем каталоге и предлагает открыть существующий или получить файл с сервера.
// Если файл открывается для редактирования, тогда открывает файл в рабочем каталоге (если есть) или
// получает его с сервера.
// Синтаксис
//
// Процедура ОткрытьФайл(Знач ДанныеФайла, Знач ДляРедактирования = Ложь) Экспорт
// Параметры
//
//  ДанныеФайла       - см. РаботаСФайлами.ДанныеФайла.
//  ДляРедактирования - Булево - Истина, если файл открывается для редактирования, иначе Ложь.
РаботаСФайламиКлиент.ОткрытьФайл(СтруктураДанных);
```

# Пример применения
```bsl
&НаКлиенте
Процедура ОткрытьПрисоединенныйФайл(Команда)

	ФайлСсылка = ФайлКартинкиНоменклатуры(Объект.Номенклатура);
	
	Если ФайлСсылка.Пустая() Тогда
    	ОбщегоНазначенияКлиент.СообщитьПользователю("У номенклатуры не выбран файл картинки!");
		Возврат;
	КонецЕсли;
	
	СтруктураДанных = РаботаСФайламиКлиент.ДанныеФайла(ФайлСсылка);
	РаботаСФайламиКлиент.ОткрытьФайл(СтруктураДанных);
	
КонецПроцедуры
```