---
title: Скопировать файл
slug: общие-бсп-стандартные-подсистемы-файлы-программный-интерфейс-клиент/скопировать-файл
---

# Описание

```bsl
// Открывает форму нового файла с копией указанного файла.
// Синтаксис
//
// Процедура СкопироватьФайл(ВладелецФайла, ФайлОснование, ДополнительныеПараметры = Неопределено,
//	ОписаниеОповещенияОЗакрытии = Неопределено) Экспорт
// Параметры
//
//  ВладелецФайла - ОпределяемыйТип.ВладелецПрисоединенныхФайлов - папка файлов или объект, к которому присоединен файл.
//  ФайлОснование - ОпределяемыйТип.ПрисоединенныйФайл - копируемый файл.
//  ДополнительныеПараметры - Структура - параметры открытия формы:
//    * ИмяСправочникаХранилищаФайлов - Строка - определяет справочник для хранения копии файла.
//  ОписаниеОповещенияОЗакрытии - ОписаниеОповещения - описание процедуры, которая будет вызвана при закрытии формы
//                                со следующими параметрами:
//                                <РезультатЗакрытия> - значение, переданное при вызове Закрыть() открываемой формы;
//                                <ДополнительныеПараметры> - значение, указанное при создании
//                                ОписаниеОповещенияОЗакрытии.
//                                Если параметр не указан, то по завершению никакая процедура вызвана не будет.
РаботаСФайламиКлиент.СкопироватьФайл(Объект.Номенклатура, ФайлСсылка,,Оповещение);
```

# Пример применения
```bsl
&НаКлиенте
Процедура СкопироватьФайл(Команда)

	ФайлСсылка = ФайлКартинкиНоменклатуры(Объект.Номенклатура);
	
	Если ФайлСсылка.Пустая() Тогда
    	ОбщегоНазначенияКлиент.СообщитьПользователю("У номенклатуры не выбран файл картинки!");
		Возврат;
	КонецЕсли;   
	
	Оповещение = Новый ОписаниеОповещения("СкопироватьФайлЗавершение", ЭтотОбъект);
	РаботаСФайламиКлиент.СкопироватьФайл(Объект.Номенклатура, ФайлСсылка,,Оповещение);

КонецПроцедуры                       

&НаКлиенте
Процедура СкопироватьФайлЗавершение(РезультатЗакрытия, ДополнительныеПараметры) Экспорт
	
	Если ТипЗнч(РезультатЗакрытия) = Тип("Структура") И РезультатЗакрытия.ФайлДобавлен Тогда
		ОбщегоНазначенияКлиент.СообщитьПользователю("Файл скопирован");		
	КонецЕсли;
	
КонецПроцедуры // СкопироватьФайлЗавершение()

```