---
title: Сохранить файл как
slug: общие-бсп-стандартные-подсистемы-файлы-программный-интерфейс-клиент/сохранить-файл-как
---

# Описание

```bsl
// Открывает диалог сохранения файл, где пользователь может определить путь и имя для сохранения файла.
// Синтаксис
//
// Процедура СохранитьФайлКак(Знач ДанныеФайла, ОбработчикЗавершения = Неопределено) Экспорт
// Параметры
//
//   ДанныеФайла           - см. РаботаСФайлами.ДанныеФайла.
//   ОбработчикЗавершения  - ОписаниеОповещения
//                         - Неопределено - описание процедуры, которая
//                           будет вызвана после завершения со следующими параметрами:
//      ПутьКФайлу              - Строка - полный путь к сохраненному файлу.
//      ДополнительныеПараметры - Произвольный - значение, которое было указано при создании объекта ОписаниеОповещения.
РаботаСФайламиКлиент.СохранитьФайлКак(СтруктураДанных);
```

# Пример применения
```bsl
&НаКлиенте
Процедура СохранитьФайлКак(Команда)

	ФайлСсылка = ФайлКартинкиНоменклатуры(Объект.Номенклатура);
	
	Если ФайлСсылка.Пустая() Тогда
    	ОбщегоНазначенияКлиент.СообщитьПользователю("У номенклатуры не выбран файл картинки!");
		Возврат;
	КонецЕсли;
	
	СтруктураДанных = РаботаСФайламиКлиент.ДанныеФайла(ФайлСсылка);   
	
	РаботаСФайламиКлиент.СохранитьФайлКак(СтруктураДанных);
	
КонецПроцедуры
```