---
title: Добавить присоединенный файл из папки на сервере
slug: общие-бсп-стандартные-подсистемы-файлы-программный-интерфейс-сервер/добавить-присоединенный-файл-из-папки-на-сервере
---
# Описание

```bsl
// Добавляет новый файл из файловой системы.
// Если справочник файлов поддерживает хранение версий, то будет создана первая версия файла.
// Синтаксис
//
// Функция ДобавитьФайлСДиска(ВладелецФайлов, ПутьКФайлуНаДиске) Экспорт
// Параметры
//
//   ВладелецФайлов    - ОпределяемыйТип.ВладелецПрисоединенныхФайлов - объект, к которому
//                       требуется прикрепить добавляемый файл.
//   ПутьКФайлуНаДиске - Строка - полный путь к файлу, включающий имя и расширение файла.
//                       Файл должен находиться на сервере.
// Возвращаемое значение
//
//  ОпределяемыйТип.ПрисоединенныйФайл - ссылка на элемент справочника с созданным файлом.

ФайлСсылка = РаботаСФайлами.ДобавитьФайлСДиска(НоменклатураСсылка, ПутьКФайлу);
```

# Пример применения
```bsl
НоменклатураСсылка = Справочники.Номенклатура.НайтиПоКоду("00000000013");
ПутьКФайлу = "C:\temp\Картинки для сайта\site_image.png";

Если НЕ НоменклатураСсылка.Пустая() Тогда
	
	Попытка
		ФайлСсылка = РаботаСФайлами.ДобавитьФайлСДиска(НоменклатураСсылка, ПутьКФайлу);
		ТекстСообщения = "К номенклатуре успешно присоединен файл картинки: " + ФайлСсылка;
	Исключение
		ТекстСообщения = "Не удалось прикрепить файл к номенклатуре по причине: " + ПодробноеПредставлениеОшибки(ИнформацияОбОшибке());
	КонецПопытки;
	ОбщегоНазначения.СообщитьПользователю(ТекстСообщения);

Иначе
	ОбщегоНазначения.СообщитьПользователю("Номенклатура не найдена");
КонецЕсли;
```