---
title: Перенести из справочника Файлы в справочник ПрисоединенныеФайлы
slug: общие-бсп-стандартные-подсистемы-файлы-программный-интерфейс-сервер/перенести-из-справочника-файлы-в-справочник-присоединенныефайлы
---
# Описание

```bsl
// Переносит файлы из справочника Файлы в присоединенные файлы при объекте-владельце файлов и помечает 
// перенесенные файлы к удалению.
// Для использования в процедурах обновления ИБ, если выполняется переход от использования
// хранения файлов в справочнике Файлы на хранение файлов как присоединенных при объекте-владельце файлов.
// Выполняется последовательно для каждого элемента объекта-владельца файлов
// (элемента справочника, ПВХ, документа и т.п.).
// Синтаксис
//
// Функция СконвертироватьФайлыВПрисоединенные(Знач ВладелецФайлов, ИмяСправочника = Неопределено) Экспорт
// Параметры
//
//   ВладелецФайлов - ОпределяемыйТип.ВладелецПрисоединенныхФайлов - объект-владелец - приемник файлов.
//   ИмяСправочника - Строка - если требуется конвертация в указанное хранилище.
// Возвращаемое значение
//
//  Соответствие из КлючИЗначение:
//   * Ключ     - СправочникСсылка.Файлы - перенесенный файл, который помечен на удаление после переноса.
//   * Значение - ОпределяемыйТип.ПрисоединенныйФайл - созданный файл.

РаботаСФайлами.СконвертироватьФайлыВПрисоединенные(ВладелецФайлов);
```

# Пример применения
```bsl
ТоварыСФайлами = РаботаСФайлами.СсылкиНаОбъектыСФайлами("Справочник.Номенклатура");

Если ТоварыСФайлами.Количество() > 0 Тогда

	Для каждого ТоварСсылка Из ТоварыСФайлами Цикл
		РаботаСФайлами.СконвертироватьФайлыВПрисоединенные(ТоварСсылка);
	КонецЦикла;
Иначе
	ОбщегоНазначения.СообщитьПользователю("Не найдено товаров с файлами в справочнике ""Файлы""");
КонецЕсли;
```