---
title: Получить двоичные данные файла
slug: общие-бсп-стандартные-подсистемы-файлы-программный-интерфейс-сервер/получить-двоичные-данные-файла
---

# Описание

```bsl
// Возвращает двоичные данные файла.
//Синтаксис
//
// Функция ДвоичныеДанныеФайла(Знач ПрисоединенныйФайл, Знач ВызыватьИсключение = Истина) Экспорт
// Параметры
//
//  ПрисоединенныйФайл - ОпределяемыйТип.ПрисоединенныйФайл - ссылка на элемент справочника с файлом.
//  ВызыватьИсключение - Булево - если указать Ложь, то функция будет возвращать Неопределено
//                          вместо вызова исключений, уровень записи журнала регистрации будет понижен до "Предупреждение".
//                                Значение по умолчанию - Истина.
//Возвращаемое значение
//
//  ДвоичныеДанные, Неопределено - двоичные данные присоединенного файла. Если двоичные данные файла не найдены
//                               в информационной базе или в томах, вызывает исключение. Если двоичные данные не
//                               найдены и параметр ВызыватьИсключение принимает значение Ложь, тогда
//                               возвращаемое значение - Неопределено.
ДвоичныеДанныеКартинки = РаботаСФайлами.ДвоичныеДанныеФайла(ФайлКартинки);
```

# Пример применения
```bsl
Номенклатура = Справочники.Номенклатура.НайтиПоКоду("00000000016");
Если НЕ Номенклатура.Пустая() Тогда

	ФайлКартинки = ОбщегоНазначения.ЗначениеРеквизитаОбъекта(Номенклатура, "ФайлКартинки");
	Если НЕ ФайлКартинки.Пустая() Тогда
		ДвоичныеДанныеКартинки = РаботаСФайлами.ДвоичныеДанныеФайла(ФайлКартинки);	
		Если ДвоичныеДанныеКартинки <> Неопределено Тогда
			ОбщегоНазначения.СообщитьПользователю(ДвоичныеДанныеКартинки);
		КонецЕсли;
	Иначе
		ОбщегоНазначения.СообщитьПользователю("У номенклатуры не выбран файл картинки");	
	КонецЕсли;
	
Иначе
	ОбщегоНазначения.СообщитьПользователю("Номенклатура с кодом 000000006 не найдена в справочнике");
КонецЕсли;
```