---
title: Присоединенные файлы объекта
slug: общие-бсп-стандартные-подсистемы-файлы-программный-интерфейс-сервер/присоединенные-файлы-объекта
---

# Описание

```bsl
// Находит все присоединенные к объекту файлы и добавляет ссылки на них в параметр Файлы.
// Синтаксис
//
// Процедура ЗаполнитьПрисоединенныеФайлыКОбъекту(Знач ВладелецФайла, Знач Файлы) Экспорт
// Параметры
//
//  ВладелецФайла - ОпределяемыйТип.ВладелецПрисоединенныхФайлов
//  Файлы         - Массив из ОпределяемыйТип.ПрисоединенныйФайл - массив, в который будут добавлены ссылки на файлы объекта.

РаботаСФайлами.ЗаполнитьПрисоединенныеФайлыКОбъекту(НоменклатураСсылка, ФайлыОбъекта);
```

# Пример применения
```bsl
НоменклатураСсылка = Справочники.Номенклатура.НайтиПоКоду("00000000015");

Если НЕ НоменклатураСсылка.Пустая() Тогда

	ФайлыОбъекта = Новый Массив;
	РаботаСФайлами.ЗаполнитьПрисоединенныеФайлыКОбъекту(НоменклатураСсылка, ФайлыОбъекта);
	
	Для каждого ПрисоединенныйФайл Из ФайлыОбъекта Цикл
		ОбщегоНазначения.СообщитьПользователю(ПрисоединенныйФайл);
	КонецЦикла;

Иначе
	ОбщегоНазначения.СообщитьПользователю("Номенклатура не найдена");
КонецЕсли;
```