---
title: Проверка на возможность присоединения файла к объекту
slug: общие-бсп-стандартные-подсистемы-файлы-программный-интерфейс-сервер/проверка-на-возможность-присоединения-файла-к-объекту
---

# Описание

```bsl
// Определяет возможность прикрепления добавляемого файла к владельцу файлов.
// Синтаксис
//
// Функция КОбъектуМожноПрисоединятьФайлы(ВладелецФайлов, ИмяСправочника = "") Экспорт
// Параметры
//
//  ВладелецФайлов - ОпределяемыйТип.ВладелецПрисоединенныхФайлов - объект, к которому
//                       требуется прикрепить добавляемый файл.
//  ИмяСправочника - Строка - если указано, то выполняется проверка добавления в определенное хранилище файлов.
//                            Иначе имя справочника будет определено по владельцу.
// Возвращаемое значение
//
//  Булево - если Истина, тогда к объекту можно присоединять файлы.
МожноПрисоединятьФайлы = РаботаСФайлами.КОбъектуМожноПрисоединятьФайлы(Ссылка);
```

# Пример применения
```bsl
НоменклатураСсылка = Справочники.Номенклатура.ПустаяСсылка();
МожноПрисоединятьФайлы = РаботаСФайлами.КОбъектуМожноПрисоединятьФайлы(НоменклатураСсылка);

ТекстСообщения = "К справочнику ""Номенклатура"" " + ?(МожноПрисоединятьФайлы, "можно", "нельзя") + " присоединять файлы.";
ОбщегоНазначения.СообщитьПользователю(ТекстСообщения);
```