---
title: Скопировать присоединенные файлы
slug: общие-бсп-стандартные-подсистемы-файлы-программный-интерфейс-сервер/скопировать-присоединенные-файлы
---
# Описание

```bsl
// При программном копировании Источника создает у Получателя копии всех
// присоединенных файлов. Для интерактивного копирования необходимо использовать
// процедуру РаботаСФайлами.ПриЗаписиНаСервере.
// Источник и Получатель должны быть объектами одного типа.
// Синтаксис
//
// Процедура СкопироватьПрисоединенныеФайлы(Знач Источник, Знач Получатель) Экспорт
// Параметры
//
//  Источник   - ЛюбаяСсылка - объект, имеющий присоединенные файлы для копирования.
//  Получатель - ЛюбаяСсылка - объект, к которому копируются присоединенные файлы.
РаботаСФайлами.СкопироватьПрисоединенныеФайлы(ИсточникСсылка, ПолучательСсылка);
```

# Пример применения
```bsl
Номенклатура = Справочники.Номенклатура.НайтиПоКоду("00000000016");
Если НЕ Номенклатура.Пустая() Тогда

	НоменклатураОбъект = Номенклатура.ПолучитьОбъект();
	НоваяНоменклатура = НоменклатураОбъект.Скопировать();
	НоваяНоменклатура.Наименование = "Наушники SONY";
	НоваяНоменклатура.НаименованиеПолное = НоваяНоменклатура.Наименование;
	НоваяНоменклатура.Артикул = "А123";
	
	НоваяНоменклатура.Записать();
	
	РаботаСФайлами.СкопироватьПрисоединенныеФайлы(Номенклатура, НоваяНоменклатура);
	ОбщегоНазначения.СообщитьПользователю("Создана новая номенклатура, файлы скопированы от другой номенклатуры");
	
Иначе
	ОбщегоНазначения.СообщитьПользователю("Номенклатура с кодом 000000006 не найдена в справочнике");
КонецЕсли;
```