---
title: Вставить параметры в строку из структуры
slug: общие-работа-с-текстом/вставить-параметры-в-строку-из-структуры
---

# Описание
```bsl
// Заменяет в шаблоне строки имена параметров на их значения. Параметры в строке выделяются с двух сторон квадратными
// скобками.
//
// Параметры:
//  ШаблонСтроки - Строка    - строка, в которую необходимо вставить значения.
//  Параметры    - Структура - подставляемые значения параметров, где ключ - имя параметра без спецсимволов,
//                             значение - вставляемое значение.
//
// Возвращаемое значение:
//  Строка - строка со вставленными значениями.
//
Функция ВставитьПараметрыВСтроку(Знач ШаблонСтроки, Знач Параметры) Экспорт
```

# Пример вызова
```bsl
ШаблонСтроки = "Здравствуй, [Имя] [Фамилия]."

Параметры = Новый Структура;
Параметры.Вставить("Имя", "Вася");
Параметры.Вставить("Фамилия", "Пупкин");

Результат = СтроковыеФункцииКлиентСервер.ВставитьПараметрыВСтроку(ШаблонСтроки, Параметры);
/// Здравствуй, Вася Пупкин
```