---
title: Сохранить файл из временного хранилища
slug: общие-работа-с-файловой-системой/сохранить-файл-из-временного-хранилища
---
# Описание

```bsl
// Получает файл и сохраняет его в локальную файловую систему пользователя.
//
// Параметры:
//   ОбработчикЗавершения      - Неопределено
//                             - ОписаниеОповещения - содержит описание процедуры, которая будет вызвана после
//                                                    завершения со следующими параметрами:
//      # ПолученныеФайлы         - Массив из ОписаниеПереданногоФайла - сохраненные файлы.
//                             - Неопределено - файлы не были получены.
//      # ДополнительныеПараметры - Произвольный - значение, которое было указано при создании объекта ОписаниеОповещения.
//   РасположениеФайла         - Строка - адрес временного хранилища или навигационная ссылка на 
//                                        реквизит типа ХранилищеЗначения, содержащий двоичные данные файла.
//   ИмяФайла                  - Строка - полный путь, по которому должен быть сохранен получаемый файл или имя файла
//                                        с расширением.
//   ПараметрыСохранения       - см. ФайловаяСистемаКлиент.ПараметрыСохраненияФайла
//
// Пример:
//   Оповещение = Новый ОписаниеОповещения("СохранитьСертификатПослеПолученияФайлов", ЭтотОбъект, Контекст);
//   ПараметрыСохранения = ФайловаяСистемаКлиент.ПараметрыСохраненияФайла();
//   ФайловаяСистемаКлиент.СохранитьФайл(Оповещение, Контекст.АдресСертификата, ИмяФайла, ПараметрыСохранения);
//
ФайловаяСистемаКлиент.СохранитьФайл(ОбработчикЗавершения, РасположениеФайла, ИмяФайла = "", 
	ПараметрыСохранения = Неопределено) Экспорт
```