---
title: Сохранить файлы из временного хранилища
slug: общие-работа-с-файловой-системой/сохранить-файлы-из-временного-хранилища
---
# Описание

```bsl
// Получает файлы и сохраняет их в локальную файловую систему пользователя.
// Для сохранения файлов в неинтерактивном режиме свойство Имя параметра СохраняемыеФайлы должно содержать
// полный путь к сохраняемому файлу или, если свойство Имя содержит только имя файла с расширением, необходимо
// заполнить свойство Каталог элемента Диалог параметра ПараметрыСохранения. В иных случаях будет вызвано
// исключение.
//
// Параметры:
//   ОбработчикЗавершения - Неопределено
//                        - ОписаниеОповещения - содержит описание процедуры, которая будет вызвана
//                                               после завершения со следующими параметрами:
//     * ПолученныеФайлы         - Массив из ОписаниеПереданногоФайла - сохраненные файлы.
//                               - Неопределено - файлы не были получены.
//     * ДополнительныеПараметры - Произвольный - значение, которое было указано при создании объекта
//                                                ОписаниеОповещения.
//   СохраняемыеФайлы     - Массив из ОписаниеПередаваемогоФайла
//   ПараметрыСохранения  - см. ФайловаяСистемаКлиент.ПараметрыСохраненияФайла
//
// Пример:
//   Оповещение = Новый ОписаниеОповещения("СохранитьПечатнуюФормуВФайлПослеПолученияФайлов", ЭтотОбъект);
//   ПараметрыСохранения = ФайловаяСистемаКлиент.ПараметрыСохраненияФайлов();
//   ФайловаяСистемаКлиент.СохранитьФайлы(Оповещение, ПолучаемыеФайлы, ПараметрыСохранения);
//
ФайловаяСистемаКлиент.СохранитьФайлы(ОбработчикЗавершения, СохраняемыеФайлы, ПараметрыСохранения = Неопределено) Экспорт

```