---
title: Шпаргалка по md
slug: прочее-markdown/шпаргалка-по-md
---
# 📘 Шпаргалка по синтаксису Markdown

## 📌 Заголовки

```md
# Заголовок 1
## Заголовок 2
### Заголовок 3
#### Заголовок 4
##### Заголовок 5
###### Заголовок 6
```

## 📄 Абзацы и переносы строк
```md
- Новый абзац — пустая строка между блоками.
- Принудительный перенос строки — два пробела в конце строки.
```
## 🔠 Жирный, курсив и зачёркнутый

```md
**жирный** или __жирный__
*курсив* или _курсив_
~~зачёркнутый~~
```

## 📋 Списки

### Маркированный список:

```md
- Элемент
* Элемент
+ Элемент
```

### Нумерованный список:

```md
1. Первый
2. Второй
3. Третий
```

### Вложенность:

```md
- Элемент
  - Подэлемент
```

## 🔗 Ссылки и изображения

### Ссылка:

```md
[Текст ссылки](https://example.com)
```

### Изображение:

```md
![Альтернативный текст](https://example.com/image.png)
```

## 🧱 Цитаты

```md
> Это цитата
>> Вложенная цитата
```

## 💻 Код

### Инлайн код:

```md
Текст с `кодом`
```

### Блок кода:

\`\`\`язык
код
ещё код
\`\`\`

Пример:

\`\`\`python
print("Hello, world!")
\`\`\`

## 📏 Горизонтальная линия

```md
---
***
___
```

## ✅ Чекбоксы (в GitHub и некоторых движках)

```md
- [x] Сделано
- [ ] Не сделано
```

## 📌 Таблицы

```md
| Заголовок 1 | Заголовок 2 |
|-------------|-------------|
| Ячейка 1    | Ячейка 2    |
| Ячейка 3    | Ячейка 4    |
```
